# Source: testkhtml.h |
Annotated List
Files
Globals
Hierarchy
Index

    #ifndef TESTKHTML_H
    #define TESTKHTML_H

    /**
     * @internal
     */
    class Dummy : public QObject
    {
      Q_OBJECT
    public:
      Dummy( KHTMLPart *part ) : QObject( part ) { m_part = part; };

    private slots:
      void slotOpenURL( const KURL &url, const KParts::URLArgs &args )
      {
        m_part->browserExtension()->setURLArgs( args );
        m_part->openURL( url );
      }

    private:
      KHTMLPart *m_part;
    };

    #endif

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:52 2001, using kdoc 2.0a53.